StableOps
API 參考

建立非託管退款請求

為已最終完成的 StableOps 付款訂單建立非託管退款請求,指定精確退款金額和客戶確認的目標地址。介面沿用原始收款的鏈、資產與來源地址,校驗剩餘可退款額度並生成待簽名記錄,資金仍由商戶錢包控制,適合接入客服審批與資金操作流程。

POST/v1/refunds

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/refunds" \  -H "Content-Type: application/json" \  -d '{    "payment_order_id": "string",    "amount": "string",    "destination_address": "string"  }'
{
  "id": "string",
  "payment_order_id": "string",
  "source_payment_event_id": "string",
  "chain": "ethereum",
  "asset": "USDC",
  "amount": "string",
  "amount_minor": "string",
  "source_address": "string",
  "destination_address": "string",
  "status": "requested",
  "tx_hash": "string",
  "failure_reason": "string",
  "submitted_at": "2019-08-24T14:15:22Z",
  "confirmed_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

這篇文件怎麼樣?

最後更新